Index: pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/index.php	(revision 383)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/index.php	(revision 390)
@@ -24,11 +24,5 @@
             return false;
         });
-		/*
-		$('#keyword').keyup(function (event) {
-            if (event.keyCode == '13') {
-                filter();
-            }
-            return false;
-        });*/
+
 		$('#keyword').bind('input', function(){
 			filter();
@@ -58,4 +52,5 @@
                 }
             }
+			console.log($( this ).attr('class'));
             $("#sorting_field").val($(this).attr("id"));
             $("#sorting_order").val($(this).attr("class"));
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/listview.php	(revision 383)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/listview.php	(revision 390)
@@ -35,5 +35,5 @@
         </h1>
     </div><!-- /.page-header -->
-
+	
     <div class="row">
         <div class="col-xs-12">
@@ -71,4 +71,6 @@
                             </div>
                         </div>
+						<input type="hidden" name="sorting_order" id="sorting_order" value="<?php echo $sorting_order;?>" />
+						<input type="hidden" name="sorting_field" id="sorting_field" value="<?php echo $sorting_field;?>"/>
                     </form>
                     <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
@@ -81,12 +83,12 @@
                                     </label>
                                 </th>
-                                <th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
-								<th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th>
-								<th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">TÃªn ÄÄng nháº­p</th>
-                                <th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">
+								<th class="<?php if ($sorting_field == 'login_name') {echo $sorting_order;} else {echo "sorting";}?>" id="login_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">TÃªn ÄÄng nháº­p</th>
+								<th class="<?php if ($sorting_field == 'full_name') {echo $sorting_order;} else {echo "sorting";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th>
+                                <th class="<?php if ($sorting_field == 'phone') {echo $sorting_order;} else {echo "sorting";}?>" id="phone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
+                                <th class="<?php if ($sorting_field == 'created_time') {echo $sorting_order;} else {echo "sorting";}?>" id="created_time" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">
                                     <i class="icon-time bigger-110 hidden-480"></i>
                                     NgÃ y ÄÄng kÃœ
                                 </th>
-                                <th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 158px;" aria-label="Tráº¡ng thÃ¡i: activate to sort column ascending">Tráº¡ng thÃ¡i</th><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label=""></th></tr>
+                                <th class="hidden-480 sorting" id="status" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 158px;" aria-label="Tráº¡ng thÃ¡i: activate to sort column ascending">Tráº¡ng thÃ¡i</th><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label=""></th></tr>
                         </thead>
 
@@ -105,8 +107,8 @@
 
                                 <td class=" ">
-                                    <a href="#"><?php echo $admin['phone']; ?></a>
+                                    <a href="#"><?php echo $admin['login_name']; ?></a>
                                 </td>
                                 <td class="hidden-480 "><?php echo $admin['full_name']; ?></td>
-								<td class="hidden-480 "><?php echo $admin['login_name']; ?></td>
+								<td class="hidden-480 "><?php echo $admin['phone']; ?></td>
                                 <td class=" "><?php echo $admin['created_time']; ?></td>
 