Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php	(revision 408)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php	(revision 409)
@@ -122,22 +122,22 @@
         echo json_encode($result);
     }
-    public function viewUser()
+    public function viewSms()
     {
         $id=$this->uri->segment(4);
         $this->load->model('Smstemplate_model');
         $data=$this->Smstemplate_model->getSmstemplate($id);
-        $this->load->view('smstemplate/viewUser',$data);
-    }
-    public function editUser()
+        $this->load->view('smstemplate/viewSms',$data);
+    }
+    public function editSms()
     {
         $id=$this->uri->segment(4);
         $this->load->model('Smstemplate_model');
         $data=$this->Smstemplate_model->getSmstemplate($id);
-        $this->load->view('smstemplate/editUser',$data);
-    }
-    public function dodeleteUser()
+        $this->load->view('smstemplate/editSms',$data);
+    }
+    public function dodeleteSms()
     {
         $input=$this->input->post();
-        $id=$input['id'];
+        $id=$input['sms_id'];
         $this->load->model('Smstemplate_model');
         $data=$this->Smstemplate_model->delete($id);
@@ -145,57 +145,53 @@
         echo json_encode($result);
     }
-    public function deleteUser()
+    public function deleteSms()
     {
         $id=$this->uri->segment(4);
         $this->load->model('Smstemplate_model');
         $data=$this->Smstemplate_model->getSmstemplate($id);
-        $this->load->view('smstemplate/deleteUser',$data);
-    }
-    public function updateUser()
-    {
-        $input['activated']=0;
-        $input=  array_merge($input,$this->input->post());
-        $this->load->model('Smstemplate_model');
-        if (strlen($input['full_name'])==0)
-        {
-            $result['errors'][]="TÃªn cá»ng tÃ¡c viÃªn khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        if (strlen($input['login_name'])==0)
-        {
-            $result['errors'][]="TÃªn ÄÄng nháº­p khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        else
-        {
+        $this->load->view('smstemplate/deleteSms',$data);
+    }
+    public function updateSms()
+    {
+       
+        $input=  $this->input->post();
+        $this->load->model('Smstemplate_model');
+        if (strlen($input['sms_content'])==0)
+        {
+            $result['errors'][]="Ná»i dung tin nháº¯n khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        if (strlen($input['sms_reply'])==0)
+        {
+            $result['errors'][]="Tin nháº¯n tráº£ vá» khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
             if ($this->Smstemplate_model->isExist(array('field'=>'login_name','value'=>$input['login_name'],'id'=>$input['id'])))
             {
                 $result['errors'][]="TÃªn ÄÄng nháº­p ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
             }
-        }
-        if (strlen($input['cellphone'])==0)
-        {
-            $result['errors'][]="Sá» Äiá»n thoáº¡i khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        else
-        {
+             * 
+             */
+        }
+        if (strlen($input['service_id'])==0)
+        {
+            $result['errors'][]="MÃ£ dá»ch vá»¥ khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
             if ($this->Smstemplate_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'],'id'=>$input['id'])))
             {
                 $result['errors'][]="Sá» Äiá»n thoáº¡i ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
             }
-        }
-        if (strlen($input['passwd'])==0)
-        {
-            //$result['errors'][]="Máº­t kháº©u khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        if ($input['passwd'] != $input['passwd2'])
-        {
-            $result['errors'][]="Máº­t kháº©u khÃŽng trÃ¹ng nhau";
-        }
+             * 
+             */
+        }
+        
         if (!isset($result['errors']))
-        {
-            unset($input['passwd2']);
-            $input['passwd']=md5($input['activated']);
-            $input['updated_time']=date("Y-m-d H:i:s");
+        { 
             $this->load->model('Smstemplate_model');
-            $this->Smstemplate_model->update($input['id'],$input);
+            $this->Smstemplate_model->update($input['sms_id'],$input);
             $result['success'] = 1;
         }
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/deleteSms.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/deleteSms.php	(revision 409)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/deleteSms.php	(revision 409)
@@ -0,0 +1,81 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="delete_sms_<?php echo $sms_id;?>" onsubmit="return false;" class="form-horizontal" role="form">
+                    <input type="hidden" value="<?php echo $sms_id?>" name="sms_id" />
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+<div class="form-group errors" id="add_sms_<?php echo $sms_id;?>"></div>
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="error_delete_sms_<?php echo $sms_id;?>"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" onclick="return deletesms('<?php echo $sms_id;?>')">XÃ³a cá»ng tÃ¡c viÃªn nÃ y</a>
+                            <a href="#" id="close_delete_sms_<?php echo $sms_id;?>" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/deleteUser.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/deleteUser.php	(revision 408)
+++ 	(revision )
@@ -1,79 +1,0 @@
- 
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header no-padding">
-                <div class="table-header">
-                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
-                        <span class="white">Ã</span>
-                    </button>
-                    Máº«u tin nháº¯n
-                </div>
-            </div>
-
-            <div class="modal-body">
-                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    
-                   
-                    <div class="space-4"></div>
-
-                    
-
-                    <div class="space-4"></div>
-                    <div class="form-group errors" id="add_user"></div>
-                        
-                    </div>
-                    <div class="clearfix form-actions">
-                        <div class="col-md-offset-3 col-md-9">
-                            <a href="#" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
-
-                            
-                        </div>
-                    </div>
-
-                </form></div>
-
-        </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/editSms.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/editSms.php	(revision 409)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/editSms.php	(revision 409)
@@ -0,0 +1,81 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="editSms_<?php echo $sms_id;?>" onsubmit="return false;" class="form-horizontal" role="form">
+                    <input type="hidden" name="sms_id" value="<?php echo $sms_id;?>">
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="add_user"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" onclick="return updatesms('<?php echo $sms_id;?>')">Cáº­p nháº­t</a>
+                            <a href="#" class="btn btn-primary" id="close_edit_sms_<?php echo $sms_id;?>" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/editUser.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/editUser.php	(revision 408)
+++ 	(revision )
@@ -1,79 +1,0 @@
- 
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header no-padding">
-                <div class="table-header">
-                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
-                        <span class="white">Ã</span>
-                    </button>
-                    Máº«u tin nháº¯n
-                </div>
-            </div>
-
-            <div class="modal-body">
-                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    
-                   
-                    <div class="space-4"></div>
-
-                    
-
-                    <div class="space-4"></div>
-                    <div class="form-group errors" id="add_user"></div>
-                        
-                    </div>
-                    <div class="clearfix form-actions">
-                        <div class="col-md-offset-3 col-md-9">
-                            <a href="#" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
-
-                            
-                        </div>
-                    </div>
-
-                </form></div>
-
-        </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php	(revision 408)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php	(revision 409)
@@ -221,4 +221,4 @@
 </div><!-- /.modal-dialog -->
 <?php
-$this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs' => array('assets/js/admin/collaborator.js')));
+$this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs' => array('assets/js/admin/smstemplate.js')));
 ?>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/viewSms.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/viewSms.php	(revision 409)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/viewSms.php	(revision 409)
@@ -0,0 +1,79 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="add_user"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/viewUser.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/viewUser.php	(revision 408)
+++ 	(revision )
@@ -1,79 +1,0 @@
- 
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header no-padding">
-                <div class="table-header">
-                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
-                        <span class="white">Ã</span>
-                    </button>
-                    Máº«u tin nháº¯n
-                </div>
-            </div>
-
-            <div class="modal-body">
-                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    
-                   
-                    <div class="space-4"></div>
-
-                    
-
-                    <div class="space-4"></div>
-                    <div class="form-group errors" id="add_user"></div>
-                        
-                    </div>
-                    <div class="clearfix form-actions">
-                        <div class="col-md-offset-3 col-md-9">
-                            <a href="#" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
-
-                            
-                        </div>
-                    </div>
-
-                </form></div>
-
-        </div>