Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php	(revision 410)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/smstemplate.php	(revision 411)
@@ -73,45 +73,38 @@
         $input = $this->input->post();
         $this->load->model('Smstemplate_model');
-        if (strlen($input['full_name'])==0)
-        {
-            $result['errors'][]="TÃªn cá»ng tÃ¡c viÃªn khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        if (strlen($input['login_name'])==0)
-        {
-            $result['errors'][]="TÃªn ÄÄng nháº­p khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        else
-        {
-            if ($this->Smstemplate_model->isExist(array('field'=>'login_name','value'=>$input['login_name'])))
+        if (strlen($input['sms_content'])==0)
+        {
+            $result['errors'][]="Ná»i dung tin nháº¯n khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        if (strlen($input['sms_reply'])==0)
+        {
+            $result['errors'][]="Tin nháº¯n tráº£ vá» khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
+            if ($this->Smstemplate_model->isExist(array('field'=>'login_name','value'=>$input['login_name'],'id'=>$input['id'])))
             {
                 $result['errors'][]="TÃªn ÄÄng nháº­p ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
             }
-        }
-        if (strlen($input['cellphone'])==0)
-        {
-            $result['errors'][]="Sá» Äiá»n thoáº¡i khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        else
-        {
-            if ($this->Smstemplate_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'])))
+             * 
+             */
+        }
+        if (strlen($input['service_id'])==0)
+        {
+            $result['errors'][]="MÃ£ dá»ch vá»¥ khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
+            if ($this->Smstemplate_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'],'id'=>$input['id'])))
             {
                 $result['errors'][]="Sá» Äiá»n thoáº¡i ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
             }
-        }
-        if (strlen($input['passwd'])==0)
-        {
-            $result['errors'][]="Máº­t kháº©u khÃŽng ÄÆ°á»£c Äá» trá»ng";
-        }
-        if ($input['passwd'] != $input['passwd2'])
-        {
-            $result['errors'][]="Máº­t kháº©u khÃŽng trÃ¹ng nhau";
+             * 
+             */
         }
         if (!isset($result['errors']))
         {
-            unset($input['passwd2']);
-            $input['passwd']=md5($input['activated']);
-            $input['activated']=1;
-            $input['created_time']=date("Y-m-d H:i:s");
-            $input['updated_time']=date("Y-m-d H:i:s");
             $this->load->model('Smstemplate_model');
             $this->Smstemplate_model->insert($input);
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php	(revision 410)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/index.php	(revision 411)
@@ -114,5 +114,6 @@
 
 
-<div id="addUser123" class="modal fade in" tabindex="-1">
+<div id="addSms" class="modal fade in" tabindex="-1">
+     
     <div class="modal-dialog">
         <div class="modal-content">
@@ -122,85 +123,68 @@
                         <span class="white">Ã</span>
                     </button>
-                    ThÃªm máº«u tin nháº¯n
+                    Máº«u tin nháº¯n
                 </div>
             </div>
 
             <div class="modal-body">
-                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> TÃªn Äáº§y Äá»§ </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input name="full_name" type="text" id="form-field-1" placeholder="TÃªn cá»ng tÃ¡c viÃªn">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> TÃªn ÄÄng nháº­p </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input name="login_name" type="text" id="form-field-1" placeholder="TÃ i khoáº£n">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Sá» Äiá»n thoáº¡i</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input name="cellphone" type="text" id="form-field-1" placeholder="Sá» Äiá»n thoáº¡i">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
+                <form id="add_sms" onsubmit="return false;" class="form-horizontal" role="form">
+                    
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
                     <div class="space-4"></div>
 
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-2"> Máº­t kháº©u </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input type="password" name="passwd" id="form-field-2" placeholder="Máº­t kháº©u">
-                                <i class="icon-lock blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-2"> Máº­t kháº©u </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input type="password" name="passwd2" id="form-field-2" placeholder="Nháº­p láº¡i máº­t kháº©u">
-                                <i class="icon-lock blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> KÃ­ch hoáº¡t</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input type='checkbox' name="activated" checked="checked" value="1"  />
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
+                    
 
                     <div class="space-4"></div>
-                    <div class="form-group errors" id="add_user"></div>
+                    <div class="form-group errors" id="add_sms"></div>
                         
                     </div>
                     <div class="clearfix form-actions">
                         <div class="col-md-offset-3 col-md-9">
-                            <button class="btn btn-info" id="add_user" type="button">
+                            <button class="btn btn-info" id="add_sms" type="button">
                                 <i class="icon-ok bigger-110"></i>
                                 HoÃ n táº¥t
@@ -218,4 +202,5 @@
 
         </div>
+
     </div><!-- /.modal-content -->
 </div><!-- /.modal-dialog -->
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 410)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 411)
@@ -8,10 +8,7 @@
 
         <li>
-            <a href="#">Quáº£n lÃœ tÃ i khoáº£n</a>
+            <a href="#">Quáº£n lÃœ tin nháº¯n</a>
         </li>
-        <li>
-            <a href="#">NgÆ°á»i dÃ¹ng</a>
-        </li>
-        <li class="active">Cá»ng tÃ¡c viÃªn</li>
+        
     </ul><!-- .breadcrumb -->
 
@@ -28,8 +25,8 @@
     <div class="page-header">
         <h1>
-            Cá»ng tÃ¡c viÃªn
+            Tin nháº¯n
             <small>
                 <i class="icon-double-angle-right"></i>
-                thá»ng kÃª tÃ i khoáº£n
+                Máº«u tin nháº¯n
             </small>
         </h1>
@@ -40,9 +37,9 @@
             <!-- PAGE CONTENT BEGINS -->
             <div style="padding-bottom:4px" class="table-header">
-                Thá»ng kÃª tÃ i khoáº£n
-
-                <button href="#addUser" data-toggle="modal" class="btn btn-success pull-right">
+                Tin nháº¯n
+
+                <button href="#addSms" data-toggle="modal" class="btn btn-success pull-right">
                     <i class="icon-plus"></i>
-                    ThÃªm cá»ng tÃ¡c viÃªn
+                    ThÃªm tin nháº¯n
                 </button>
 
Index: pro-violet-viettel/sourcecode/assets/js/admin/smstemplate.js
===================================================================
--- pro-violet-viettel/sourcecode/assets/js/admin/smstemplate.js	(revision 410)
+++ pro-violet-viettel/sourcecode/assets/js/admin/smstemplate.js	(revision 411)
@@ -6,10 +6,10 @@
     };
 })(jQuery);
-$(".btn#add_user").click(function () 
-{$(".errors#add_user").html("");
+$(".btn#add_sms").click(function () 
+{$(".errors#add_sms").html("");
     $.ajax({
-                url: "cong_tac_vien/them",
+                url: "mau_tin_nhan/them",
                 type: "POST",
-                data: $("#add_user").serialize(),
+                data: $("#add_sms").serialize(),
                 success: function (data, textStatus, jqXHR)
                 {
@@ -18,5 +18,5 @@
                     {   
                     filter();
-                    $('#addUser').modal('hide');
+                    $('#addSms').modal('hide');
                     }
                     else
@@ -26,5 +26,5 @@
                         {
                           var er= $result.errors[i];
-                          $(".errors#add_user").append("<div class='error'>"+er+"</div>");
+                          $(".errors#add_sms").append("<div class='error'>"+er+"</div>");
                         }
                     }