Index: pro-violet-viettel/sourcecode/application/modules/admin/views/user/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/user/index.php	(revision 413)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/user/index.php	(revision 414)
@@ -175,107 +175,4 @@
 </div><!-- /.modal-dialog -->
 
-<!-- Edit User -->
-<div tabindex="-1" class="modal fade in" id="editUser">
-	<div class="modal-dialog">
-		<div class="modal-content">
-			<div class="modal-header no-padding">
-				<div class="table-header">
-					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">
-						<span class="white">Ã</span>
-					</button>
-					Sá»­a ngÆ°á»i dÃ¹ng
-				</div>
-			</div>
-	
-			<div class="modal-body">
-				<form id="edit_frm" onsubmit="return false;" class="form-horizontal" role="form">
-					<div class="form-group">
-						<label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Sá» Äiá»n thoáº¡i </label>
-						<div class="col-sm-9">
-							<label class="block clearfix has-error">
-								<span class="input-icon">
-									<input type="text" id="edit_cellphone" name="cellphone" placeholder="Phone" id="form-field-1" value="">
-									<i class="icon-user blue"></i>
-								</span>
-								<div class="help-block"> </div>
-							</label>
-						</div>
-					</div>
-
-					<div class="form-group">
-						<label for="form-field-2" class="col-sm-3 control-label no-padding-right"> Tiá»n </label>
-						<div class="col-sm-9">
-							<span class="input-icon">
-								<input type="text" id="edit_acc_balanced" name="acc_balanced" placeholder="" id="form-field-2" value="">
-								<i class="icon-user blue"></i>
-							</span>
-						</div>
-						<label class="block clearfix has-error">
-							<div class="help-block"> </div>
-						</label>
-						
-					</div>
-
-					<div class="space-4"></div>
-					<div class="clearfix form-actions">
-						<div class="col-md-offset-3 col-md-9">
-							<button type="button" id="edit" class="btn btn-info">
-								<i class="icon-ok bigger-110"></i>
-								HoÃ n táº¥t
-							</button>
-
-							&nbsp; &nbsp; &nbsp;
-							<button type="reset" name="reset" class="btn">
-								<i class="icon-undo bigger-110"></i>
-								XÃ³a háº¿t
-							</button>
-						</div>
-					</div>
-				</form>
-			</div>
-		</div>
-	</div>
-</div>
-<!-- End Edit User -->
-
-<!-- Delete User -->
-<div tabindex="-1" class="modal fade in" id="deleteUser">
-	<div class="modal-dialog">
-		<div class="modal-content">
-			<div class="modal-header no-padding">
-				<div class="table-header">
-					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">
-						<span class="white">Ã</span>
-					</button>
-					XÃ³a ngÆ°á»i dÃ¹ng
-				</div>
-			</div>
-			
-			<div class="modal-body">
-				<form id="delete_frm" onsubmit="return false;" class="form-horizontal" role="form">
-					<div class="form-group">
-						<center><h4> Cháº¯c cháº¯n muá»n xÃ³a tÃ i khoáº£n nÃ y? </h4></center>
-					</div>
-					<div class="clearfix form-actions">
-						<div class="col-md-offset-3 col-md-9">
-							<button type="button" id="delete" class="btn btn-info">
-								<i class="icon-ok bigger-110"></i>
-								XÃ³a
-							</button>
-
-							&nbsp; &nbsp; &nbsp;
-							<button type="reset" name="reset" class="btn" data-dismiss="modal">
-								<i class="icon-undo bigger-110"></i>
-								Há»§y
-							</button>
-						</div>
-					</div>
-				</form>
-			</div>
-		</div>
-	</div>
-</div>					
-<!-- End Delete User -->
-
 <?php
 $this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs' => array('assets/js/admin/user.js')));
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 413)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 414)
@@ -68,8 +68,6 @@
                                         <input type="text" name="keyword" id="keyword" value='<?php echo $keyword;?>' aria-controls="sample-table-2"></label>
                                 </div>
-                            </div>
-							<div class="col-sm-6">
-                                <div class="dataTables_status" id="sample-table-2_status"><label>Lá»c
-									<select onchange="filter();" name="status" size="1" aria-controls="sample-table-2" class="">                                      
+								<div class="dataTables_status" style="float: right;" id="sample-table-2_status"><label>Lá»c:
+									<select onchange="filter();" name="status" size="1" style="width: 139px; height: 28px;" aria-controls="sample-table-2" class="">                                      
 										<?php foreach ($statusoptions as $key=>$option):?>
 										<option <?php if ($key == $status) echo "selected"; ?> value="<?php echo $key; ?>"><?php echo $option; ?></option>
@@ -77,5 +75,6 @@
 									</select>
 								</div>
-							</div>
+                            </div>
+
                         </div>
 							