Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 411)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 422)
@@ -216,4 +216,6 @@
             $this->collabolator_model->insert($input);
         }
+        
+        
     }
 
Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php	(revision 422)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php	(revision 422)
@@ -0,0 +1,225 @@
+<?php
+
+if (!defined('BASEPATH'))
+    exit('No direct script access allowed');
+
+class Report extends MX_Controller {
+
+    public function __construct() {
+        parent::__construct();
+        $this->load->helper('cookie');
+    }
+
+    public function index() {
+        $data = array();
+        $admin_info = $this->session->userdata('adminInfo');
+        if ($admin_info) {
+            $data['statistics'] = $this->getStatistics();
+            $data['content'] = $this->getSmstemplates();
+            $this->load->view('report/index', $data);
+        } else {
+            $this->load->view('login');
+        }
+    }
+    public function getStatistics()
+    {
+        $data=array();
+        return $this->load->view('report/statistics', $data, true);
+    }
+    public function getSmstemplates($filters = array()) {
+        $this->load->helper('pagging');
+        $this->load->model('paidlog_model');
+        $data['current_page'] = $this->uri->segment(4, 1);
+        $data['itemsoptions'] = array(10, 25, 50, 100);
+        $data['perpage'] = 10;
+        $data['keyword'] = "";
+        $data['sorting_order']="sorting_desc";
+        $data['sorting_field']="paid_id";
+        
+        if ($this->input->post('sorting_order')) {
+            if ($this->input->post('sorting_order') != "sorting")
+            {
+               $data['sorting_order']=$this->input->post('sorting_order');
+               $data['sorting_field']=$this->input->post('sorting_field'); 
+            }
+        }
+        if ($this->input->post('items')) {
+            $data['perpage'] = $this->input->post('items');
+        }
+        if ($this->input->post('keyword')) {
+            $data['search_field']="";
+            $data['keyword'] = $this->input->post('keyword');
+            
+            if (preg_match("/[0-9]/", $data['keyword']))
+            {
+               $data['search_field']="cellphone"; 
+            }
+            
+        }
+        
+        $data['start'] = ($data['current_page'] - 1) * $data['perpage'];
+        $data['total'] = $this->paidlog_model->countSmstemplate($data);  
+       
+        $data['paidlogs'] = $this->paidlog_model->getSmstemplates($data);
+
+        $data['paging_url'] = base_url() . "/admin/mau_tin_nhan/trang/";
+        $data['num_links'] = 2;
+        $data['paging'] = pagging($data);
+
+        if ($this->input->is_ajax_request()) {
+            return $this->load->view('report/listview', $data);
+        }
+        return $this->load->view('report/listview', $data, true);
+    }
+
+    public function addSmstemplate() {
+        $result['success'] = 0;
+        $result = array();
+        $input = $this->input->post();
+        $this->load->model('paidlog_model');
+        if (strlen($input['sms_content'])==0)
+        {
+            $result['errors'][]="Ná»i dung tin nháº¯n khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        if (strlen($input['sms_reply'])==0)
+        {
+            $result['errors'][]="Tin nháº¯n tráº£ vá» khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
+            if ($this->paidlog_model->isExist(array('field'=>'login_name','value'=>$input['login_name'],'id'=>$input['id'])))
+            {
+                $result['errors'][]="TÃªn ÄÄng nháº­p ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
+            }
+             * 
+             */
+        }
+        if (strlen($input['service_id'])==0)
+        {
+            $result['errors'][]="MÃ£ dá»ch vá»¥ khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
+            if ($this->paidlog_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'],'id'=>$input['id'])))
+            {
+                $result['errors'][]="Sá» Äiá»n thoáº¡i ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
+            }
+             * 
+             */
+        }
+        if (!isset($result['errors']))
+        {
+            $this->load->model('paidlog_model');
+            $this->paidlog_model->insert($input);
+            $result['success'] = 1;
+        }
+
+        
+        echo json_encode($result);
+    }
+    public function viewSms()
+    {
+        $id=$this->uri->segment(4);
+        $this->load->model('paidlog_model');
+        $data=$this->paidlog_model->getSmstemplate($id);
+        $this->load->view('report/viewSms',$data);
+    }
+    public function editSms()
+    {
+        $id=$this->uri->segment(4);
+        $this->load->model('paidlog_model');
+        $data=$this->paidlog_model->getSmstemplate($id);
+        $this->load->view('report/editSms',$data);
+    }
+    public function dodeleteSms()
+    {
+        $input=$this->input->post();
+        $id=$input['sms_id'];
+        $this->load->model('paidlog_model');
+        $data=$this->paidlog_model->delete($id);
+        $result['success']=1;
+        echo json_encode($result);
+    }
+    public function deleteSms()
+    {
+        $id=$this->uri->segment(4);
+        $this->load->model('paidlog_model');
+        $data=$this->paidlog_model->getSmstemplate($id);
+        $this->load->view('report/deleteSms',$data);
+    }
+    public function updateSms()
+    {
+       
+        $input=  $this->input->post();
+        $this->load->model('paidlog_model');
+        if (strlen($input['sms_content'])==0)
+        {
+            $result['errors'][]="Ná»i dung tin nháº¯n khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        if (strlen($input['sms_reply'])==0)
+        {
+            $result['errors'][]="Tin nháº¯n tráº£ vá» khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
+            if ($this->paidlog_model->isExist(array('field'=>'login_name','value'=>$input['login_name'],'id'=>$input['id'])))
+            {
+                $result['errors'][]="TÃªn ÄÄng nháº­p ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
+            }
+             * 
+             */
+        }
+        if (strlen($input['service_id'])==0)
+        {
+            $result['errors'][]="MÃ£ dá»ch vá»¥ khÃŽng ÄÆ°á»£c Äá» trá»ng";
+        }
+        else
+        {
+            /*
+            if ($this->paidlog_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'],'id'=>$input['id'])))
+            {
+                $result['errors'][]="Sá» Äiá»n thoáº¡i ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng";
+            }
+             * 
+             */
+        }
+        
+        if (!isset($result['errors']))
+        { 
+            $this->load->model('paidlog_model');
+            $this->paidlog_model->update($input['sms_id'],$input);
+            $result['success'] = 1;
+        }
+        echo json_encode($result);
+    }
+    public function test() {
+        
+      /*
+        for ($i = 1; $i <= 1500; $i++) {
+            $input['us_id']=rand(1,100);
+            $input['paid_type']=rand(1,2);
+            $input['amount']=rand(3,10)*1000;
+            $time=(rand((time()-(5*30*24*60*60)),time()));
+            $input['paid_time']= date("Y-m-d H:i:s",$time);
+            $this->load->model('paidlog_model');
+            $this->paidlog_model->insert($input);
+        }
+       * 
+       */
+        for ($i = 1; $i <= 100; $i++) {
+            $input['us_id']=$i;
+            $input['cellphone']="01234567".(100+$i);
+            $input['collaborator']=rand(1,100);
+            $input['acc_balanced']=rand(100000,1000000);
+            $input['expire_date']=date("Y-m-d H:i:s",time());
+            $input['created_time']=date("Y-m-d H:i:s",time());
+            $input['updated_time']=date("Y-m-d H:i:s",time());
+            $this->load->model('user_model');
+            $this->user_model->insert($input);
+        }
+    }
+
+}